# STM32CubeH5 MCU Firmware Package

**STM32Cube** is an STMicroelectronics original initiative to ease the developers life by reducing efforts, time and cost.

**STM32Cube** covers the overall STM32 products portfolio. It includes a comprehensive embedded software platform (this repo), delivered for each series (such as the STM32CubeH5 for the STM32H5 series).
   * The CMSIS modules (core and device) corresponding to the ARM-tm core implemented in this STM32 product
   * The STM32 HAL-LL drivers : an abstraction drivers layer, the API ensuring maximized portability across the STM32 portfolio
   * The BSP Drivers of each evaluation or demonstration board provided by this STM32 series 
   * A consistent set of middlewares components such as ThreadX, FileX, USBX, NetDuoX, OpenBootloader, USBPD, secure_manager_api, mbed-crypto ...
   * A full set of software projects (basic examples, applications and/or demonstrations) for each board provided by this STM32 series
   * A development with three Toolchains and Compilers (IAR Embedded Workbench for ARM (EWARM), RealView Microcontroller Development Kit (MDK-ARM) and STM32CubeIDE )

The **STM32CubeH5 MCU Package** projects are directly running on the STM32H5 series boards. You can find in each Projects/*Board name* directories a set of software projects (Applications/Demonstration/Examples).

## Release note

Details about the content of this release are available in the release note [here](https://htmlpreview.github.io/?https://github.com/STMicroelectronics/STM32CubeH5/blob/master/Release_Notes.html).

## Boards available
  * STM32H5
    * [NUCLEO-H563ZI](https://www.st.com/en/product/nucleo-h563zi.html)
    * [NUCLEO-H503RB](https://www.st.com/en/product/nucleo-h503rb.html)
    * [STM32H573I-DK](https://www.st.com/en/product/stm32h573i-dk.html)
	* [NUCLEO-H533RE](https://www.st.com/en/product/nucleo-h533re.html)

## Troubleshooting

**Caution** : The issues and the pull-requests are **strictly limited** to submit problems or suggestions related to the software delivered in this repository.

**For any other question** related to the product, the hardware performance or characteristics, the tools, the environment, you can submit it to the **ST Community** on the STM32 MCUs related [page](https://community.st.com/s/group/0F90X000000AXsASAW/stm32-mcus).
